<?php

namespace Openguru\OpenCartFramework\Container;

abstract class ServiceProvider
{
    /** @var Container $container */
    protected $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    abstract public function register(): void;
}
